Announcement

Collapse
No announcement yet.

Unreal Engine 4.25 released!

Collapse
This is a sticky topic.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Originally posted by EntrpriseCustomr View Post
    Win7 still has around 25% share iirc (or ~400m boxes versus ~800m for Win10). So believe what you want, but Win7 is still alive. Its worth remembering how we got here too...
    What's the count for us is how many gamers (especially our "target gamers") are using a given system.
    It's only approx. 6% of Steam users (who agreed on the survey) are still using Windows 7.
    https://store.steampowered.com/hwsurvey/

    Not all of them are necessarily a target for a visual-heavy 3D game. Actually it would be nice to have data combing given OS and hardware, i.e. how many users with modern GPUs use Windows 7. Or if people on old systems actually actively buy games - most of the Steam users buy only 1-5 games.
    Less important if someone's game is a simple 3D game.

    Obviously, it just arguing on numbers. And doesn't matter much, dropping support for Windows 7 should be properly announced ahead of release, so the developer could decide if it's OK for him to consider an upgrade.
    Windows 7 support could be sustained until the end of UE4, dropped by UE5 at the end of 2021. Most likely most of the active games would switch to Windows 10 for DirectX 12 gains. And still would be almost 2 years after dropping support by Microsoft itself. (that's just my thoughts, though)

    Comment


      Not sure If someone will be able to shed some light. I have updated the project from 4.21 all the way to 4.24 without any issue. Comes 4.25 and basically it all opens fine, no errors of Compile in BP and I can build. However attempt to play PIE, in viewport or from build gives me instant crash with this message below:





      Log does not seem to give anything of substance in order to debug, any idea what this could be?

      Comment


        Originally posted by sweetdardo View Post
        Not sure If someone will be able to shed some light. I have updated the project from 4.21 all the way to 4.24 without any issue. Comes 4.25 and basically it all opens fine, no errors of Compile in BP and I can build. However attempt to play PIE, in viewport or from build gives me instant crash with this message below:





        Log does not seem to give anything of substance in order to debug, any idea what this could be?
        i'm no guru by any means, but it is important to get up to 4.25+ because they will be the only versions that will upgrade to ue5... you may have to rebuild things and it might be a pain, but, in my eyes, it has to be done... i hope you find your answer (smile)... steve

        add: shared pointer... i wonder if that is a bug or if you have the pointer confused as to who to follow... glad i'm not a coder, i would be up all night looking for it (chuckle)...
        Last edited by northstar; 07-05-2020, 02:21 PM.

        Comment


          Originally posted by northstar View Post

          i'm no guru by any means, but it is important to get up to 4.25+ because they will be the only versions that will upgrade to ue5... you may have to rebuild things and it might be a pain, but, in my eyes, it has to be done... i hope you find your answer (smile)... steve

          .
          Does it say anywhere that 4.25 will be the "only version" that will upgrade to UE5?
          Because for all intensive purposes, you could have a 4.20 scene, and then open that scene in 4.24. It's not like 4.24 can only handle a previous 4.23 scene, you know?

          Are you just really recommending getting up to speed with the latest version before the transition to UE5, because just the way you are saying it it almost sounds like there is some actual technical requirement, as in you know UE5 is coming after 4.25.

          Comment


            well, I do remember Sweeney saying that moving from 4.25 to UE 5 would be "painless" .. But yeah, The project has not had any issue updating to 4.22,4.23,4.24 now 4.25.1 is just giving me that error with no log to hang on to, I don`t really know how to debug this without any bread crumb to hang on to

            Comment


              Originally posted by Daffrendo View Post

              Does it say anywhere that 4.25 will be the "only version" that will upgrade to UE5?
              Because for all intensive purposes, you could have a 4.20 scene, and then open that scene in 4.24. It's not like 4.24 can only handle a previous 4.23 scene, you know?

              Are you just really recommending getting up to speed with the latest version before the transition to UE5, because just the way you are saying it it almost sounds like there is some actual technical requirement, as in you know UE5 is coming after 4.25.
              yeah, i just remember 'hearing it' somewhere, don't remember where... it might be an extrapolation on my part, but it would be a 'good to know' thing if someone here does know for sure to share...

              Comment


                Assuming that your project has to be 4.25 to update to 5 there's nothing that's keeping you from continuing to use 4.24 until 5 is available, then upgrade to 4.25 and then straight to 5, thus bypassing all the runtime problems that 4.25 provides, no?

                Comment


                  It was never mentioned in UE4 doc/blog that one has to be in 4.25 in order to upgrade to UE5. It only says that you can always upgrade to UE5 - so do not wait, download the latest version and start developing.

                  Comment


                    Originally posted by Wallenstein View Post
                    Assuming that your project has to be 4.25 to update to 5 there's nothing that's keeping you from continuing to use 4.24 until 5 is available, then upgrade to 4.25 and then straight to 5, thus bypassing all the runtime problems that 4.25 provides, no?
                    Right, That`s the idea. I don` t think I would be able to debug this without breaking the project into testable chunk which would take a lot of time. So hoping that the issue goes away in UE 5 is the way to go.

                    Comment


                      When will next Hotfix be released? Why is it taking so long? Hotfixes are supposed to be fast, with major bug fixes, crashes fixes and other stuff. Last one released more than a month ago.

                      Comment


                        Originally posted by Angry-Cookie View Post
                        When will next Hotfix be released? Why is it taking so long? Hotfixes are supposed to be fast, with major bug fixes, crashes fixes and other stuff. Last one released more than a month ago.
                        I am thinking end of August

                        Comment


                          when we can download 4.26 preview ?
                          i want to test gpu lightmass

                          Comment


                            Originally posted by Farshid View Post
                            when we can download 4.26 preview ?
                            i want to test gpu lightmass
                            You can check out Master branch from Github, right now, build it and get yourself early 4.26

                            Comment


                              Help me please! I am a new gay, eh, my English is pool. Recently ,after graduation from high school. I but a new computer.(AMD r9 4900HS&RTX 2060 mq )but even can't open a level.
                              That's tell me a error . (Attempt to allocate texture error, insufficient graphics card memory),but it can run successfully in my old computer.(with 2g memory)now it has 6g memory. i can't understand it. I use rtx run ue4.can someone help me?(this is my first time use community, mybe there are some error like send this messsage to a wrong place , but please help me , i am a 18 years old students. i like ue4 very much , i explan to learn ue4 during my 2 months holidays )
                              请帮帮我,谢谢!我是新到这里的新手,想来这里求救。主要的问题是,在我打开一个新的关卡时候,ue4editor会报错,说“尝试内存分配错误,显存不足”,可是你需要知道的是,这台电脑使用的是rtx2060mq,它拥有6g显存,而同样的事情,在我的2g显存的老电脑上可以运行的很好,这是一件让人难以理解的事情。我是一名18岁的学生,只有两个月的时间让我在家里面自己研究ue4,在中国ue4方面的资料还是显得稍微少了些。所以,请你帮帮我,怎么解决这个问题。我可能发错板块了,但还是请你谅解,你可以将这个mesage移动到正确的位置。

                              Comment


                                There's a fix for DXGI under Windows 7 on 4.25 branch, it will come in the next Launcher release
                                https://github.com/EpicGames/UnrealE...58a540ad7b5b50

                                Comment

                                Working...
                                X